<?php

use App\Enums\PaymentStatus;

test('payment status has correct cases', function () {
    expect(PaymentStatus::cases())->toHaveCount(3);
});

test('payment status pending has correct value', function () {
    expect(PaymentStatus::Pending->value)->toBe('pending');
});

test('payment status received has correct value', function () {
    expect(PaymentStatus::Received->value)->toBe('received');
});

test('payment status not applicable has correct value', function () {
    expect(PaymentStatus::NotApplicable->value)->toBe('na');
});
